crc64gen.c File Reference
`#include <stdint.h>`
`#include <osmocom/core/bits.h>`
`#include <osmocom/core/crc64gen.h>`

## Functions

uint64_t | osmo_crc64gen_compute_bits (const struct osmo_crc64gen_code *code, const ubit_t *in, int len)
| Compute the CRC value of a given array of hard-bits. More...
int | osmo_crc64gen_check_bits (const struct osmo_crc64gen_code *code, const ubit_t *in, int len, const ubit_t *crc_bits)
| Checks the CRC value of a given array of hard-bits. More...
void | osmo_crc64gen_set_bits (const struct osmo_crc64gen_code *code, const ubit_t *in, int len, ubit_t *crc_bits)
| Computes and writes the CRC value of a given array of bits. More...

## Detailed Description

Osmocom generic CRC routines (for max 64 bits poly).